--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: perm
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This class describes a permission set
constants: []

full_name: Irc::Bot::Auth::PermissionSet
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: permit?
- !ruby/object:RI::MethodSummary 
  name: reset_permission
- !ruby/object:RI::MethodSummary 
  name: set_permission
name: PermissionSet
superclass: Object
